Bug 16968 - Remove the use of "onclick" from serial patron and vendor search templates
Summary: Remove the use of "onclick" from serial patron and vendor search templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-22 19:22 UTC by Owen Leonard
Modified: 2017-06-14 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16968 - Remove the use of "onclick" from serial patron and vendor search templates (3.78 KB, patch)
2016-07-25 13:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16968 - Remove the use of "onclick" from serial patron and vendor search templates (3.79 KB, patch)
2016-07-26 13:37 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16968 - Remove the use of "onclick" from serial patron and vendor search templates (3.86 KB, patch)
2016-08-01 14:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-22 19:22:50 UTC
There are a few instances of "onclick" in the templates for serial patron and vendor search templates. These should be removed in favor of events defined in the JavaScript.
Comment 1 Owen Leonard 2016-07-25 13:17:16 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-07-26 13:37:53 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-01 14:02:09 UTC
Created attachment 53839 [details] [review]
Bug 16968 - Remove the use of "onclick" from serial patron and vendor search templates

This patch removes instances of "onclick" from the serials templates for
patron and vendor search.

To test, go to Serials and click "New subscription."

- In the new subscription form, click the "Search for a vendor" link.
- In the popup, search for a vendor. Confirm that clicking "Choose"
  selects the correct vendor.

- From the detail page of an existing subscription, click "Create
  routing list."
- Search for a patron and test that the "Add" button in search results
  works correctly to add patrons to the routing list.

Signed-off-by: Claire Gravely <c.gravely@arts.ac.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-09 14:22:19 UTC
Pushed to master for 16.11, thanks Owen!